// pages/OnlineCarHailing/OnlineCarHailing.js
var t = require("../../utils/login.js");

Page({
  /**
   * 页面的初始数据
   */
  data: {

  },

  onSubmitToGroup(e) {
    const mobile = e.detail.value.code
    if (!mobile) {
      wx.showToast({
        title: '请输入手机号码',
        icon: 'none'
      })
      return
    }

    // 手机号格式验证
    if (!/^1[3-9]\d{9}$/.test(mobile)) {
      wx.showToast({
        title: '请输入正确的手机号码',
        icon: 'none'
      })
      return
    }

    // 二次确认
    wx.showModal({
      title: '确认提示',
      content: '确定要将此手机号设置为网约车用户吗？',
      success: (res) => {
        if (res.confirm) {
          wx.showLoading({
            title: '提交中...'
          })
          
          t.request('/miniprogram/user/onlineCarHailing', { mobile }, !0).then((res) => {
            wx.hideLoading()
            if (res.code == 200) {
              wx.showToast({
                title: '设置成功',
                icon: 'success'
              })
              setTimeout(() => {
                wx.navigateBack()
              }, 1500)
            } else {
              wx.showToast({
                title: res.message || '设置失败',
                icon: 'none'
              })
            }
          })
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})